export declare enum Gravity {
    center = "center",
    northwest = "northwest",
    north = "north",
    northeast = "northeast",
    east = "east",
    southeast = "southeast",
    south = "south",
    southwest = "southwest",
    west = "west",
    auto = "auto"
}
export declare class SynapsImageOptions {
    path: string;
    dpi?: number;
    width?: number;
    height?: number;
    crop?: string;
    bg?: string;
    quality?: number;
    gravity?: Gravity;
    format?: ['jpg', 'png', 'gif', 'webp'];
}
