import { SynapsImageOptions } from './synaps-image-options.model';
import { SynapsPicsConfig } from './synaps-pics.config';
export declare class SynapsPicsUtils {
    protocol: string;
    serviceUrl: string;
    constructor(config: SynapsPicsConfig);
    getLocation(url: string): URL;
    getPath(url: string): string;
    getImageUrl(options: SynapsImageOptions): string;
    getHDImages(options: SynapsImageOptions): string[];
    getPlaceholderUrl(width: number, height: number, dpi: number): string;
    private getSizeString;
}
