import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { Gravity } from './synaps-image-options.model';
import { SynapsPicsUtils } from './synaps-pics.utils';
export declare class SynapsPicsDirective implements OnInit {
    private el;
    private utils;
    private renderer;
    width: number;
    height: number;
    crop: string;
    bg: string;
    quality: number;
    gravity: Gravity;
    format: ['jpg', 'png', 'gif', 'webp'];
    private _imageUrl;
    private _lazy;
    private _dpi;
    private _lazySubject;
    private _isLoadedSubject;
    private _lazyObservable;
    private isLoaded;
    private elementId;
    lazy: boolean;
    constructor(el: ElementRef, utils: SynapsPicsUtils, renderer: Renderer2);
    ngOnInit(): void;
    private makeid;
    private inViewportSubject;
    private addStyle;
    private setImage;
    imageUrl: string;
}
